Bug 247459 - Mesa problem with i965Q
Mesa problem with i965Q
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 09:41 EDT by Pierre-Eloi Bontinck
Modified: 2008-06-16 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:49:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my xorg.conf (977 bytes, text/plain)
2007-09-07 05:34 EDT, Pierre-Eloi Bontinck
no flags Details
A screenshot of what I see on the screen. (16.34 KB, image/png)
2007-09-07 05:35 EDT, Pierre-Eloi Bontinck
no flags Details
The same scene, as it is recorded by paraview (save image function) (29.60 KB, image/png)
2007-09-07 05:36 EDT, Pierre-Eloi Bontinck
no flags Details
my Xorg.0.log (55.79 KB, text/plain)
2007-09-10 03:37 EDT, Pierre-Eloi Bontinck
no flags Details

  None (edit)
Description Pierre-Eloi Bontinck 2007-07-09 09:41:53 EDT
Description of problem:
When I use an OpenGL software with "i810" or "intel" driver, i have corrupted
displays. The display can be OK with "vesa" driver. Especially, the up-right
quarter of the 3D frame is corrupted in wireframe mode. Plain surfaces can be
corrupted too (pixel with wrong color or transparency).

(I use paraView software to visualize datas in 3D)

Version-Release number of selected component (if applicable):
My intel driver is v2.0.0 (found by F7)

How reproducible:
Every time.

Steps to Reproduce:
1.start PC
2.open paraView
3.swtich to wireframe 
  
Actual results:


Expected results:


Additional info:
Works with "vesa" driver.
Comment 1 Matěj Cepl 2007-09-06 10:58:06 EDT
Could you elaborate a little bit -- this is not exactly descriptive bug report.
Could we get some screenshots of the display corruption?

And certainly please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) from running with "intel" driver to the
bug report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Pierre-Eloi Bontinck 2007-09-07 05:34:02 EDT
Created attachment 189601 [details]
my xorg.conf
Comment 3 Pierre-Eloi Bontinck 2007-09-07 05:35:16 EDT
Created attachment 189611 [details]
A screenshot of what I see on the screen.
Comment 4 Pierre-Eloi Bontinck 2007-09-07 05:36:31 EDT
Created attachment 189631 [details]
The same scene, as it is recorded by paraview (save image function)
Comment 5 Pierre-Eloi Bontinck 2007-09-07 05:43:24 EDT
I have sent some more information as requested.

My xorg.conf is the one used to make the screenshots. I have made some
modifications from the one generated by Fedora installation, but without change
on that particular bug (but is far better on other little problems).

I have made a screenshot of what I see on the screen with paraView (c.f 189611).
It's interesting to note that with the "save image function" of paraView, the
rendering is OK on the PNG file (c.f 189631).

I will send my /var/log/Xorg.0.log on a later post.
Comment 6 Matěj Cepl 2007-09-07 11:19:06 EDT
Just to be sure, that we won't forget on that Xorg.0.log file.
Comment 7 Pierre-Eloi Bontinck 2007-09-10 03:37:35 EDT
Created attachment 191431 [details]
my Xorg.0.log

My Xorg.O.log as recorded today.

I'll do the next step (auto xorg.conf generation) as soon as possible.
Comment 8 Bug Zapper 2008-05-14 09:28:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 21:49:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.